package main

import (
	"fmt"
	"os/exec"
)

func resetAllGPIO() {
	fmt.Println("Resetting all GPIOs...")
	resetServerGPIO()
	resetReciverConnectGPIO()
}

func setServerGPIO() error {
	cmd := exec.Command("sh", "-c", "echo 1 > /sys/class/gpio/gpio269/value")
	err := cmd.Run()
	if err != nil {
		fmt.Printf("GPIO 269 설정 실패: %v", err)
	}
	return nil
}

func resetServerGPIO() error {
	cmd := exec.Command("sh", "-c", "echo 0 > /sys/class/gpio/gpio269/value")
	err := cmd.Run()
	if err != nil {
		fmt.Printf("GPIO 269 설정 실패: %v", err)
	}
	return nil
}

func setReciverConnectGPIO() error {
	cmd := exec.Command("sh", "-c", "echo 1 > /sys/class/gpio/gpio270/value")
	err := cmd.Run()
	if err != nil {
		fmt.Printf("GPIO 270 설정 실패: %v", err)
	}
	return nil
}

func resetReciverConnectGPIO() {
	cmd := exec.Command("sh", "-c", "echo 0 > /sys/class/gpio/gpio270/value")
	err := cmd.Run()
	if err != nil {
		fmt.Printf("GPIO 270 리셋 실패: %v", err)
	}
}
